#include "PlottWidget.h"

#include <QResizeEvent>
#include <QPaintEvent>
#include <QPainter>

PlotWidget::PlotWidget(QWidget *parent) : QWidget(parent) {

	setMinimumSize(100, 100);

//	LinePlot* lp = new LinePlot();
//	pc.addPlot(lp);

//	lp->getData().add(1, 1);
//	lp->getData().add(2, 2);
//	lp->getData().add(3, 3);
//	lp->getData().add(4, 1);
//	lp->getData().add(5, 2);
//	lp->getData().add(6, 3);
//	lp->getData().add(7, 1);
//	lp->getData().add(8, 2);
//	lp->getData().add(9, 3);


}

void PlotWidget::resizeEvent(QResizeEvent* evt) {
	(void) evt;
	pc.resize(width(), height());
}

void PlotWidget::paintEvent(QPaintEvent* evt) {
	(void) evt;
	QPainter p(this);
	pc.render(p);
	p.end();
}
